Get an event
curl --request GET \
--url https://connect.laces.run/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.laces.run/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://connect.laces.run/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.laces.run/v1/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"message": "Event retrieved successfully",
"data": {
"event_id": "q3Zk9mVx",
"name": "Kampala City 10K",
"handle": "kampala-city-10k",
"short_code": "K10",
"description": "A flat, fast 10K through the city centre.",
"cover": "https://laces.run/images/example-cover.jpg",
"venue": "Kololo Airstrip",
"event_type": "run",
"status": "open",
"visibility": "public",
"starts_at": "2026-11-15T04:00:00.000Z",
"ends_at": "2026-11-15T09:00:00.000Z",
"timezone": "Africa/Kampala",
"currency": "UGX",
"reg_opens_at": "2026-09-01T00:00:00.000Z",
"reg_closes_at": "2026-11-13T20:00:00.000Z",
"payments_enabled": true,
"organizer_name": "Kampala Road Runners",
"support_email": "hello@example.com",
"payment_methods": [
"momo",
"airtel"
],
"ticket_types": [
{
"ticket_type_id": "tt_10k",
"name": "10K",
"description": "Standard entry",
"currency": "UGX",
"price_minor": 50000,
"laces_fee_minor": 2400,
"total_minor": 52400,
"card": null,
"airtel": {
"laces_fee_minor": 2400,
"total_minor": 52400
},
"is_free": false,
"capacity": 500,
"distance_km": 10,
"remaining": 212,
"sales_start": "2026-09-01T00:00:00.000Z",
"sales_end": "2026-11-13T20:00:00.000Z",
"min_age": 16
}
],
"additional_questions": [
{
"key": "kit_size",
"label": "T-shirt size",
"type": "select",
"required": true,
"options": [
"S",
"M",
"L",
"XL"
],
"help": ""
}
],
"waiver_required": true,
"waiver_version": "2026-09-01"
}
}Events
Get an event
One event with its ticket types and the fees a participant pays for each.
GET
/
events
/
{eventId}
Get an event
curl --request GET \
--url https://connect.laces.run/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://connect.laces.run/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://connect.laces.run/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connect.laces.run/v1/events/{eventId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"message": "Event retrieved successfully",
"data": {
"event_id": "q3Zk9mVx",
"name": "Kampala City 10K",
"handle": "kampala-city-10k",
"short_code": "K10",
"description": "A flat, fast 10K through the city centre.",
"cover": "https://laces.run/images/example-cover.jpg",
"venue": "Kololo Airstrip",
"event_type": "run",
"status": "open",
"visibility": "public",
"starts_at": "2026-11-15T04:00:00.000Z",
"ends_at": "2026-11-15T09:00:00.000Z",
"timezone": "Africa/Kampala",
"currency": "UGX",
"reg_opens_at": "2026-09-01T00:00:00.000Z",
"reg_closes_at": "2026-11-13T20:00:00.000Z",
"payments_enabled": true,
"organizer_name": "Kampala Road Runners",
"support_email": "hello@example.com",
"payment_methods": [
"momo",
"airtel"
],
"ticket_types": [
{
"ticket_type_id": "tt_10k",
"name": "10K",
"description": "Standard entry",
"currency": "UGX",
"price_minor": 50000,
"laces_fee_minor": 2400,
"total_minor": 52400,
"card": null,
"airtel": {
"laces_fee_minor": 2400,
"total_minor": 52400
},
"is_free": false,
"capacity": 500,
"distance_km": 10,
"remaining": 212,
"sales_start": "2026-09-01T00:00:00.000Z",
"sales_end": "2026-11-13T20:00:00.000Z",
"min_age": 16
}
],
"additional_questions": [
{
"key": "kit_size",
"label": "T-shirt size",
"type": "select",
"required": true,
"options": [
"S",
"M",
"L",
"XL"
],
"help": ""
}
],
"waiver_required": true,
"waiver_version": "2026-09-01"
}
}Authorizations
bearerAuthoauth2publishableKey
A token from POST /oauth/token, valid 1 hour. Paste it as LCSTOK-…-X (without the word Bearer).